org.objectweb.util.ant

## Class JavadocMultipleLink

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.Javadoc
      - - org.objectweb.util.ant.JavadocMultipleLink

All Implemented Interfaces:
  Cloneable

    public class JavadocMultipleLink
    extends org.apache.tools.ant.taskdefs.Javadoc

This class permits to specify on a javadoc a list of link in only one parameter. The element separator is the comma.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Javadoc

`org.apache.tools.ant.taskdefs.Javadoc.AccessType, org.apache.tools.ant.taskdefs.Javadoc.DocletInfo, org.apache.tools.ant.taskdefs.Javadoc.DocletParam, org.apache.tools.ant.taskdefs.Javadoc.ExtensionInfo, org.apache.tools.ant.taskdefs.Javadoc.GroupArgument, org.apache.tools.ant.taskdefs.Javadoc.Html, org.apache.tools.ant.taskdefs.Javadoc.LinkArgument, org.apache.tools.ant.taskdefs.Javadoc.PackageName, org.apache.tools.ant.taskdefs.Javadoc.ResourceCollectionContainer, org.apache.tools.ant.taskdefs.Javadoc.SourceFile, org.apache.tools.ant.taskdefs.Javadoc.TagArgument`

### Field Summary

Fields
`static String` `PACKAGE_HTML_FILE_NAME`
`static String` `TEMP_CLASS_NAME`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`JavadocMultipleLink()`

### Method Summary

Methods
`boolean` `containsOnlyOneFile(File dirfile, String filename)`
`void` `execute()`
`void` `setLinks(String d)` This parameter permits to specify a list of url (seprator = comma) This url could on line.
`void` `setSourcepath(org.apache.tools.ant.types.Path src)`

### Methods inherited from class org.apache.tools.ant.taskdefs.Javadoc

`addBottom, addDoctitle, addExcludePackage, addFileset, addFooter, addHeader, addPackage, addPackageset, addSource, addTaglet, createArg, createBootclasspath, createClasspath, createDoclet, createGroup, createLink, createSourceFiles, createSourcepath, createTag, expand, setAccess, setAdditionalparam, setAuthor, setBootclasspath, setBootClasspathRef, setBottom, setBreakiterator, setCharset, setClasspath, setClasspathRef, setDefaultexcludes, setDestdir, setDocencoding, setDocFilesSubDirs, setDoclet, setDocletPath, setDocletPathRef, setDoctitle, setEncoding, setExcludeDocFilesSubDir, setExcludePackageNames, setExecutable, setExtdirs, setExtdirs, setFailonerror, setFooter, setGroup, setHeader, setHelpfile, setIncludeNoSourcePackages, setLink, setLinkoffline, setLinksource, setLocale, setMaxmemory, setNodeprecated, setNodeprecatedlist, setNohelp, setNoindex, setNonavbar, setNoqualifier, setNotree, setOld, setOverview, setPackage, setPackageList, setPackagenames, setPrivate, setProtected, setPublic, setSerialwarn, setSource, setSourcefiles, setSourcepathRef, setSplitindex, setStylesheetfile, setUse, setUseExternalFile, setVerbose, setVersion, setWindowtitle`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PACKAGE_HTML_FILE_NAME

    public static final String PACKAGE_HTML_FILE_NAME

See Also:
  Constant Field Values

#### TEMP_CLASS_NAME

    public static final String TEMP_CLASS_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### JavadocMultipleLink

    public JavadocMultipleLink()

### Method Detail

#### setLinks

    public void setLinks(String d)

This parameter permits to specify a list of url (seprator = comma) This url could on line.

#### setSourcepath

    public void setSourcepath(org.apache.tools.ant.types.Path src)

Overrides:
  `setSourcepath` in class `org.apache.tools.ant.taskdefs.Javadoc`

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.taskdefs.Javadoc`
Throws:
  `org.apache.tools.ant.BuildException`

#### containsOnlyOneFile

    public boolean containsOnlyOneFile(File dirfile,
                              String filename)
                                throws IOException

Throws:
  `IOException`